Package tigase.conf

## Class LoggingBean

- java.lang.Object
- - tigase.conf.LoggingBean

- All Implemented Interfaces:
    `ConfigurationChangedAware`

      public class LoggingBean
      extends java.lang.Object
      implements ConfigurationChangedAware

  Created by andrzej on 02.04.2017.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggingBean()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beanConfigurationChanged​(java.util.Collection<java.lang.String> changedFields)` | Method called when configuration was applied to bean.
    `java.util.Map<java.lang.String,​java.util.logging.Level>` | `getPackageLoggingLevels()` |
    `boolean` | `getPacketFullDebug()` |
    `boolean` | `isShutdownThreadDump()` |
    `void` | `setHandlers​(java.util.HashMap<java.lang.String,​java.util.HashMap<java.lang.String,​java.lang.Object>> handlers)` |
    `void` | `setLoggers​(java.util.HashMap<java.lang.String,​java.util.HashMap<java.lang.String,​java.lang.Object>> loggers)` |
    `void` | `setPackageLoggingLevel​(java.lang.String packageName, java.util.logging.Level level)` |
    `void` | `setPacketFullDebug​(boolean packetFullDebug)` |
    `void` | `setShutdownThreadDump​(boolean shutdownThreadDump)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingBean

          public LoggingBean()

  - ### Method Detail

    - #### getPackageLoggingLevels

          public java.util.Map<java.lang.String,​java.util.logging.Level> getPackageLoggingLevels()

    - #### setPackageLoggingLevel

          public void setPackageLoggingLevel​(java.lang.String packageName,
                                             java.util.logging.Level level)
                                      throws java.lang.RuntimeException

      Throws:
        `java.lang.RuntimeException`

    - #### setLoggers

          public void setLoggers​(java.util.HashMap<java.lang.String,​java.util.HashMap<java.lang.String,​java.lang.Object>> loggers)

    - #### setHandlers

          public void setHandlers​(java.util.HashMap<java.lang.String,​java.util.HashMap<java.lang.String,​java.lang.Object>> handlers)

    - #### getPacketFullDebug

          public boolean getPacketFullDebug()

    - #### setPacketFullDebug

          public void setPacketFullDebug​(boolean packetFullDebug)

    - #### beanConfigurationChanged

          public void beanConfigurationChanged​(java.util.Collection<java.lang.String> changedFields)

      Description copied from interface: `ConfigurationChangedAware`
      Method called when configuration was applied to bean.
      Specified by:
        `beanConfigurationChanged` in interface `ConfigurationChangedAware`
      Parameters:
        `changedFields` - collection of field names which were changed

    - #### isShutdownThreadDump

          public boolean isShutdownThreadDump()

    - #### setShutdownThreadDump

          public void setShutdownThreadDump​(boolean shutdownThreadDump)